Subject: [tram] TRAM, WebRTC and DHT

From: Stefan Möhl <[email-masked]>
Date: Wed, 29 Jul 2015 14:53:24 +0000

If this is the wrong forum for my question, please accept my apologies!

If I understand things correctly, this IETF group is working on the next-gen STUN/TURN protocol. There has also been some work on using DHT, at least for STUN; see, i.e. http://www.labri.fr/perso/tad/download/rapport_PFE_pierre.pdf or https://www.google.se/url?sa=t&rct=j&q=&esrc=s&source=web&cd=1&cad=rja&uact=8&ved=0CCEQFjAAahUKEwijo8OK3_vGAhXGXCwKHWVaDcg&url=http%3A%2F%2Fmaidsafe.net%2FWhitepapers%2Fpdf%2FDHTbasedNATTraversal.pdf&ei=1V22VePkNca5sQHltLXADA&usg=AFQjCNGh2Fv1ig5-gPEV6O_kGeDkb8CRdA&sig2=UCrPnRo64-TG5-3DgYclqQ&bvm=bv.98717601,d.bGg

Since a strong motivation for TRAM, as I understand it, is the shift towards using STUN/TURN for WebRTC, and the big value in WebRTC is the almost serverless nature of WebRTC, I was wondering if this group is taking DHT into consideration? If at least the signaling server and the STUN server could be shifted to DHT, WebRTC could become truly serverless for the majority of users that do not require a TURN server, and thereby extremely resilient!

/Kind regards,
Stefan

Stefan Möhl | Vergic AB
Chief Infrastructure Officer

☎+46 735-23 12 50
@: [email-masked]<mailto:[email-masked]>
w: www.vergic.com<http://www.vergic.com/>
Follow us on twitter: Vergic<https://twitter.com/VergicAB>
Follow us on Linkedin: Vergic<http://www.linkedin.com/company/vergic>

CONFIDENTIALITY NOTICE: This e-mail and any files transmitted contain proprietary/Confidential Information protected by law and belongs to Vergic AB, and its affiliates. If you are not a recipient indicated or intended in this message (or responsible for delivery of this message to such person), or you think for any reason that this message may have been addressed to you in error, you may not use or copy or deliver this message to anyone else. In such case, please notify the sender immediately by returning the e-mail and delete all copies from your system.